import { EventEmitter } from '../../stencil-public-runtime';
import { LocationSegments, RouterHistory } from '@stencil/router';
import { ICourse } from '../../models';
export declare class SparkleCourseRoot {
  history: RouterHistory | null;
  private tocPath;
  private quizPath;
  private config;
  isMenuToggled: boolean;
  tocData: ICourse;
  setHistory: ({ history }: {
    history: RouterHistory;
  }) => void;
  pageChanged: EventEmitter;
  newPage(location: LocationSegments): void;
  lockScroll(isMenuToggled: boolean): void;
  componentWillLoad(): Promise<void>;
  toggleMenu: () => void;
  handlePageClick: () => void;
  isSmallViewport(): boolean;
  toggleStudentSidebar(): Promise<void>;
  useDidLogin(event: CustomEvent<any>): any;
  renderPage(path: 'login' | 'signup' | 'forgot-password' | 'reset-password'): any;
  renderPrivatePage(path: 'profile' | 'enrollment' | 'home/my-mood' | 'home/my-health' | 'home/my-goals' | 'home/great-white-wall'): any;
  renderHeaderAndMenu(): any[];
  renderHeader(): any[];
  signout(): Promise<void>;
  renderLogo(): any;
  getFirstLessonUrl(): string;
  render(): any;
}
